Package org.eclipse.rdf4j.repository.sail

## Class SailTupleQuery

- java.lang.Object
- - org.eclipse.rdf4j.query.impl.AbstractOperation
  - - org.eclipse.rdf4j.query.impl.AbstractQuery
    - - org.eclipse.rdf4j.query.impl.AbstractParserQuery
      - - org.eclipse.rdf4j.repository.sail.SailQuery
        - - org.eclipse.rdf4j.repository.sail.SailTupleQuery

- All Implemented Interfaces:
    `Operation`, `Query`, `TupleQuery`
  Direct Known Subclasses:
    `FedXTupleQuery`

      public class SailTupleQuery
      extends SailQuery
      implements TupleQuery

  Author:
    Arjohn Kampman

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.query.impl.AbstractParserQuery

      `AbstractParserQuery.QueryInterruptIteration`

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.query.Query

      `Query.QueryType`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractParserQuery

      `DEFAULT_EXPLANATION_EXECUTION_TIMEOUT`

    - ### Fields inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `bindings, dataset, includeInferred`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SailTupleQuery​(ParsedTupleQuery tupleQuery, SailRepositoryConnection sailConnection)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TupleQueryResult` | `evaluate()` |
    `void` | `evaluate​(TupleQueryResultHandler handler)` |
    `ParsedTupleQuery` | `getParsedQuery()` |

    - ### Methods inherited from class org.eclipse.rdf4j.repository.sail.SailQuery

      `explain, getConnection`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractParserQuery

      `enforceMaxQueryTime, getActiveDataset, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractQuery

      `getMaxQueryTime, setMaxQueryTime`

    - ### Methods inherited from class org.eclipse.rdf4j.query.impl.AbstractOperation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Operation

      `clearBindings, getBindings, getDataset, getIncludeInferred, getMaxExecutionTime, removeBinding, setBinding, setDataset, setIncludeInferred, setMaxExecutionTime`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.Query

      `explain, getMaxQueryTime, setMaxQueryTime`

- - ### Constructor Detail

    - #### SailTupleQuery

          public SailTupleQuery​(ParsedTupleQuery tupleQuery,
                                SailRepositoryConnection sailConnection)

  - ### Method Detail

    - #### getParsedQuery

          public ParsedTupleQuery getParsedQuery()

      Overrides:
        `getParsedQuery` in class `AbstractParserQuery`

    - #### evaluate

          public TupleQueryResult evaluate()
                                    throws QueryEvaluationException

      Specified by:
        `evaluate` in interface `TupleQuery`
      Throws:
        `QueryEvaluationException`

    - #### evaluate

          public void evaluate​(TupleQueryResultHandler handler)
                        throws QueryEvaluationException,
                               TupleQueryResultHandlerException

      Specified by:
        `evaluate` in interface `TupleQuery`
      Throws:
        `QueryEvaluationException`
        `TupleQueryResultHandlerException`